# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	The PHP Manual in the English language
Name:		php-manual-en
Version:	5.2.6
Release:	%mkrel 1
Group:		Books/Other
License:	PHP License
URL:		http://www.php.net/download-docs.php
Source:		http://fr2.php.net/distributions/manual/php_manual_en.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The PHP Manual in the English (en) language.

%prep

%setup -q -c -n php_manual_en

# fix perms
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# clean up cvs junk		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%install
rm -rf %{buildroot} 

install -d %{buildroot}/var/www/html/addon-modules
pushd %{buildroot}/var/www/html/addon-modules
    ln -s  ../../../..%{_docdir}/php-manual-en-%{version} php-manual-en-%{version}
popd

find | sed 's/^/%doc /' | grep -v '\./%{name}.filelist' > %{name}.filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.filelist
%defattr(-,root,root)
/var/www/html/addon-modules/php-manual-en*


%changelog
* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 5.2.6-1mdv2009.0
+ Revision: 237752
- 5.2.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.4-1mdv2008.0
+ Revision: 81530
- 5.2.4 (cosmetic release in most cases)

* Sat Jun 02 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.3-1mdv2008.0
+ Revision: 34519
- 5.2.3

* Mon May 07 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.2-1mdv2008.0
+ Revision: 24114
- 5.2.2


* Tue Feb 13 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.1-1mdv2007.0
+ Revision: 120493
- Import php-manual-en

* Tue Feb 13 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.1-1mdv2007.1
- 5.2.1

* Mon Sep 18 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1mdv2007.0
- 5.1.6

* Mon May 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-1mdk
- 5.1.4

* Tue May 02 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-1mdk
- 5.1.2

* Fri Dec 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-1mdk
- new release

* Tue Nov 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-1mdk
- new release

* Mon Jun 13 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- new release

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-1mdk
- new release
- drop locales deps, it's not required...

* Tue Nov 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9-1mdk
- initial mandrake package

